net.sf.jasperreports.engine.export.oasis

## Class OasisZip

- java.lang.Object
- - net.sf.jasperreports.engine.export.zip.AbstractZip
  - - net.sf.jasperreports.engine.export.oasis.OasisZip

- Direct Known Subclasses:
    FileBufferedOasisZip

      public abstract class OasisZip
      extends AbstractZip

  Version:
    $Id: OasisZip.java 6101 2013-04-23 14:12:19Z shertage $
  Author:
    Teodor Danciu (teodord@users.sourceforge.net)

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `MIME_TYPE_ODS`
    `static java.lang.String` | `MIME_TYPE_ODT`
    `static java.lang.String` | `PROLOG`

    - ### Fields inherited from class net.sf.jasperreports.engine.export.zip.AbstractZip

      `exportZipEntries`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `OasisZip()`
    `OasisZip(java.lang.String mimeType)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ExportZipEntry` | `getContentEntry()`
    `ExportZipEntry` | `getStylesEntry()`

    - ### Methods inherited from class net.sf.jasperreports.engine.export.zip.AbstractZip

      `addEntry, createEntry, dispose, zipEntries`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### MIME_TYPE_ODT

          public static final java.lang.String MIME_TYPE_ODT

      See Also:
        Constant Field Values

    - #### MIME_TYPE_ODS

          public static final java.lang.String MIME_TYPE_ODS

      See Also:
        Constant Field Values

    - #### PROLOG

          public static final java.lang.String PROLOG

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### OasisZip

          public OasisZip()
                   throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### OasisZip

          public OasisZip(java.lang.String mimeType)
                   throws java.io.IOException

      Throws:
        `java.io.IOException`

  - ### Method Detail

    - #### getContentEntry

          public ExportZipEntry getContentEntry()

    - #### getStylesEntry

          public ExportZipEntry getStylesEntry()

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com